Package org.eclipse.lemminx.services.extensions.completion

## Class AbstractCompletionResolver

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.completion.AbstractCompletionResolver

All Implemented Interfaces:
  `ICompletionItemResolveParticipant`

Direct Known Subclasses:
  `AbstractAttributeCompletionResolver`, `ElementEndTagCompletionResolver`

    public abstract class AbstractCompletionResolver
    extends Object
    implements ICompletionItemResolveParticipant

Abstract class completion resolver to resolve :

- `CompletionItem.setDocumentation(String)`
- `CompletionItem.setAdditionalTextEdits(java.util.List)`
- `CompletionItem.setDetail(String)`

### Constructor Summary

Constructors
`AbstractCompletionResolver()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `resolveCompletionItem​(DOMNode node, org.eclipse.lsp4j.CompletionItem toResolve, ICompletionItemResolverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Resolve the given completion item `toResolve` by using the given DOM node.
`org.eclipse.lsp4j.CompletionItem` `resolveCompletionItem​(ICompletionItemResolverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Returns the completion item with the remaining fields resolved.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractCompletionResolver

    public AbstractCompletionResolver()

### Method Detail

#### resolveCompletionItem

    public org.eclipse.lsp4j.CompletionItem resolveCompletionItem​(ICompletionItemResolverRequest request,
                                                                  org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ICompletionItemResolveParticipant`
Returns the completion item with the remaining fields resolved.

Specified by:
  `resolveCompletionItem` in interface `ICompletionItemResolveParticipant`
Parameters:
  `request` - the completion item resolve request
  `cancelChecker` - the cancel checker
Returns:
  the completion item with the remaining fields resolved

#### resolveCompletionItem

    protected abstract void resolveCompletionItem​(DOMNode node,
                                                  org.eclipse.lsp4j.CompletionItem toResolve,
                                                  ICompletionItemResolverRequest request,
                                                  org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Resolve the given completion item `toResolve` by using the given DOM node.

Parameters:
  `node` - the DOM retrieved by the offset coming from the completion item data.
  `toResolve` - the completion item to resolve.
  `request` - the completion request.
  `cancelChecker` - the cancel checker.